summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--eclass/kde5.eclass5
1 files changed, 5 insertions, 0 deletions
diff --git a/eclass/kde5.eclass b/eclass/kde5.eclass
index 17b480c44e3..f1538e297e0 100644
--- a/eclass/kde5.eclass
+++ b/eclass/kde5.eclass
@@ -196,6 +196,11 @@ case ${KDE_AUTODEPS} in
RDEPEND+=" >=kde-frameworks/kf-env-4"
COMMONDEPEND+=" $(add_qt_dep qtcore)"
+ # all packages need breeze/oxygen icons for basic iconset, bug #564838
+ if [[ ${PN} != breeze-icons && ${PN} != oxygen-icons ]]; then
+ RDEPEND+=" || ( $(add_frameworks_dep breeze-icons) kde-frameworks/oxygen-icons:* )"
+ fi
+
case ${CATEGORY} in
kde-frameworks | \
kde-plasma)